package com.weaver.seconddev.jcldoor.esb;

import com.weaver.common.base.entity.result.WeaResult;
import com.weaver.esb.api.rpc.EsbServerlessRpcRemoteInterface;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

@Service("esb_njjucailin_im_Action")
public class EsbRpcRemoteUpdateImDataAction implements EsbServerlessRpcRemoteInterface {

    private static final Logger log = LoggerFactory.getLogger(EsbRpcRemoteUpdateImDataAction.class);

    @Override
    public WeaResult<Map<String, Object>> execute(Map<String, Object> params) {
        log.error("esb_njjucailin_im_Action");
        Map<String, Object> returnMap = new HashMap<>();
        returnMap.put("code","200");
        returnMap.put("name","111");
        returnMap.put("data","2222");
        return WeaResult.success(returnMap);
    }
}
